#!/bin/sh
MOD_NAME=scepClient

killall -0 enroll-cert.sh 2> /dev/null
if [ $? = 0 ]; then
  # enrollment ongoing, let's wait
  exit 0
fi

. /opt/$MOD_NAME/etc/settings

# check if the certificate will expire in the coming days
let LIFETIME_SECS=24*60*60*$MOD_SCEPCLIENT_RENEW_DAY

openssl x509 -in /var/data/$MOD_NAME/latest.crt -checkend $LIFETIME_SECS
if [ $? = 0 ]; then
  # certificate will remain valid
  exit 0
fi

# new certificate must be enrolled
/opt/$MOD_NAME/bin/enroll-cert.sh &
